/* Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft.file.common;

import java.io.Serializable;
import java.util.HashMap;

/**
 * クライアントJavaアプリケーションがHttpリクエストにセットする属性クラス
 * 
 * @author LittleSoft Corporation
 * @version 1.3.0
 */
@SuppressWarnings("serial")
public class Attributes implements Serializable {

  public String webappUrl;
  public String jsessionId;
  public String sequence;
  public String subsessionId;
  public String actionPageId;
  public String callbackMethod;
  public HashMap<String, Object> attribute;
  
  /**
   * 指定したキーで属性を設定する。
   * 
   * @param key キー
   * @param value 属性
   */
  public void put(String key, Object value) {
    if (attribute==null) attribute = new HashMap<String, Object>();
    attribute.put(key, value);
  }
  
  /**
   * 引数で指定されたキーに対応する属性を取得する。
   * 
   * @param key キー
   * @return 属性
   */
  public Object get(String key) {
    if (attribute==null) attribute = new HashMap<String, Object>();
    return attribute.get(key);
  }
}
