/* Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft.file.common;

import java.io.Serializable;

/**
 * クライアントJavaアプリケーションがHttpリクエストにセットするパラメータを保持するAttributesクラス.
 * 
 * @author LittleSoft Corporation
 * @version 1.3.0
 */
@SuppressWarnings("serial")
public class SplitUploadParams implements Serializable, IApplicationParams {

  // 分割バッファサイズ
  static public final int BUFFER_SIZE = 1024*512;

  //default encode
  static public final String DEFAULT_ENC = "UTF-8";
  
  public String parentPath;               //クライアント内でのファイル名を含まないパス
  public String fileName;                 //親パスを含まないファイル名、拡張子込み
  public Integer splitSequence;           //分割アップロードの連番（ゼロ始まり）
  public Long individualDataSize;         //このリクエストに含まれるデータサイズ
  public Long cumulativeDataSize;         //分割アップロードの累積データサイズ
  public Boolean isSplit;                 //分割アップロードの場合True
  public Boolean isFinal;
  private Attributes attributes;
  

  @Override
  public Attributes getAttributes() {
    return attributes;
  }

  @Override
  public void setAttributes(Attributes attributes) {
    this.attributes = attributes;
  }
}
