/* Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft.soja;

import java.io.Serializable;
import java.sql.Connection;
import java.sql.SQLException;

import org.json.JSONException;

import jp.littlesoft.data.Table;
import jp.littlesoft.sql.SQLDataProviderImpl;

@SuppressWarnings("serial")
public class LSJsonQuery implements Serializable {
 
  private LSJsonConnection.Request queryRequest;
  
  public LSJsonQuery(String jsonRequest) throws JSONException {
    Object obj = LSJson.deserialize(jsonRequest);
    if (!(obj instanceof LSJsonConnection.Request)){
      throw new JSONException("Invalid type of request parameters, A Please specify GRemoteConnection.Request.");
    }
    queryRequest = (LSJsonConnection.Request)obj;
  }
  
  public LSJsonConnection.Request getRequest() {
    return queryRequest;
  }
  
  @SuppressWarnings("unchecked")
  public String execute(Connection conn) {
    String result = null;
    LSJsonConnection.Response queryResponse = new LSJsonConnection.Response();
    try {
      queryResponse.setRequest(queryRequest);
      Class entityType = Class.forName(queryRequest.entytyTypeName);
      Table<?> tableResult = new Table();
      tableResult.setEntityType(entityType);
      SQLDataProviderImpl provider = new SQLDataProviderImpl();
      tableResult.setDataProvider(provider);
      provider.setConnection(conn);
      provider.setSQL(queryRequest.sql);
      for (String name : queryRequest.params.keySet()) {
        Serializable value =  (Serializable) queryRequest.params.get(name);
        if (value==null) continue;
        provider.getParams().setValue(name, value);
        System.out.println("name:" + name + ", value:" + value );
      }
      tableResult.activate();
      queryResponse.result = tableResult.visibleEntities();
      result = LSJson.serialize(queryResponse); 
      try { tableResult.passivate(); } catch (Exception e) {}; 
    } catch (Exception x) {
      queryResponse = new LSJsonConnection.Response();
      queryResponse.hasError = true;
      queryResponse.message = x.getLocalizedMessage();
      queryResponse.exceptionTypeName = x.getClass().getName();
      try { result = LSJson.serialize(queryResponse); } catch (JSONException xx) {}; 
      x.printStackTrace();
    }
    return result;
  }
}
