/* Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft.util;

import java.io.Serializable;

/**
 * 定数クラス。<br/>
 *
 * @author LittleSoft Corporation
 * @version 1.3.0
 */
@SuppressWarnings("serial")
public final class Const implements Serializable {
  
  private Const() {}

  /**
   * ダブルクォーテーション('\"')を意味する定数です。<br/>
   */
  public static final char DOUBLE_QUOTE = '\"';

  /**
   * シングルクォーテーション('\'')を意味する定数です。<br/>
   */
  public static final char SINGLE_QUOTE = '\'';

  /**
   * ','を意味する定数です。<br/>
   */
  public static final char COMMA_CHAR = ',';

  /**
   * '('を意味する定数です。<br/>
   */
  public static final char LEFT_PARENTHESES  = '(';

  /**
   * ')'を意味する定数です。<br/>
   */
  public static final char RIGHT_PARENTHESES = ')';

  /**
   * 長さゼロのStringを意味する定数です。<br/>
   */
  public static final String NULLSTRING = "";

  /**
   * ","を意味する定数です。<br/>
   */
  public static final String COMMA_STRING = ",";

  /**
   * "&yen;r&yen;n"を意味する定数です。<br/>
   */
  public static final String CRLF = "\r\n";
  
  /**
   * 改行文字を意味する定数です。<br/><br/>
   * 
   * ディフォルトはSystem.getProperty("file.encoding")の値ですが、変更可能です。<br/>
   */
  public static String LINE_SEPARATOR = null;

  /**
   * ディレクトリの区切り文字を意味する定数です。<br/><br/>
   * 
   * ディフォルトはSystem.getProperty("file.encoding")の値ですが、変更可能です。<br/>
   */
  public static String FILE_SEPARATOR = null;

  /**
   * 一時ファイルの作成ディレクトリ名を意味する定数です。<br/><br/>
   * 
   * ディフォルトはSystem.getProperty("file.encoding")の値ですが、変更可能です。<br/>
   */
  public static String JAVA_IO_TMPDIR = null;

  /**
   * ファイルのエンコーディングを意味する定数です。<br/><br/>
   * 
   * ディフォルトはSystem.getProperty("file.encoding")の値ですが、変更可能です。<br/>
   */
  public static String FILE_ENCODING = null;

  /**
   * 負の値が無いint型のプロパティに値がアサインされていないことを意味する定数です。<br/>
   */
  public static final int NOT_ASSIGNED = -1;
  
  /**
   * エラーメッセージ出力の際、何文字で出力を切るかを表す定数です。<br/>
   */
  public static final int ERR_MESSAGE_SPLIT_CHAR_COUNT = 15;

}

