/* Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * デフォルトのアクションページクラス。<br/><br/>
 * 
 * <br/><br/>
 * web.xmlにてデフォルトアクションページの指定がない場合や、<br/>
 * エラーページ出力の際のアクションページとなります。<br/>
 * 
 * @author LittleSoft Corporation
 * @version 1.3.0
 */
@SuppressWarnings("serial")
public class DefaultPage extends ActionPage {
  
  /**
   * DefaultPage オブジェクトを生成します。<br/>
   */
  public DefaultPage() {
    this.setTemplateName("../index.html");
  }
  
  /**
   * 引数 request、response で指定された DefaultPage オブジェクトを生成します。<br/>
   * 
   * @param request クライアントがServletへ要求したリクエスト内容を含む HttpServletRequest オブジェクト
   * @param response Servletがクライアントに返すレスポンス内容を含む HttpServletResponse オブジェクト
   */
  public DefaultPage(HttpServletRequest request, HttpServletResponse response) {
    super(request, response);
  }

}
